png++ 0.2.10

Public Member Functions | Static Protected Member Functions | List of all members
png::std_error Class Reference

Exception class to represent standard library errors (generally IO). More...

`#include <error.hpp>`

Inheritance diagram for png::std_error:

## Public Member Functions
| std_error (std::string const &message, int errnum=errno)

## Static Protected Member Functions
static std::string | thread_safe_strerror (int errnum)

## Detailed Description

Exception class to represent standard library errors (generally IO).

See also
  reader, writer

## Constructor & Destructor Documentation

## ◆ std_error()

png::std_error::std_error | ( | std::string const & | message,
|  | int | errnum = errno )
| inline explicit

Constructs an std_error object. The message string is appended with ": " and the error description as returned by `strerror`(error).

Parameters

  message | error description
  error | error number

References thread_safe_strerror().

## Member Function Documentation

## ◆ thread_safe_strerror()

std::string png::std_error::thread_safe_strerror | ( | int | errnum | ) |
| inline static protected

Referenced by std_error().

The documentation for this class was generated from the following file:

- error.hpp